import { createWebHashHistory, createRouter } from 'vue-router'

import Layout from '../layout/index.vue'
import HomeView from '../views/home/index.vue'
import MajorHome from '../views/major/home.vue'
import AssetsHome from '../views/assets/home.vue'
import PlanningHome from '../views/planning/home.vue'
import PersonalHome from '../views/personal/home.vue'

const routes = [
  {
    path:'/',
    redirect:'/home/index'
  },
  {
    path: '/home',
    component: Layout,
    name: 'home',
    children: [
      {
        path: 'index',
        component: HomeView,
        name: 'homeIndex',
      },
      {
        path: 'major',
        component: MajorHome,
        name: 'majorIndex'
      },
      {
        path: 'assets',
        component: AssetsHome,
        name: 'assetsIndex'
      },
      {
        path: 'planning',
        component: PlanningHome,
        name: 'planningIndex'
      },
      {
        path: 'personal',
        component: PersonalHome,
        name: 'personalIndex'
      }
    ]
  },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes,
})

export default router